Karia
ReferencesOpenapiContact

Update contact method

PATCH
/organisation/{orgId}/workspace/{workspaceId}/contact/{contactId}/method/{methodId}

Update an existing contact method for a contact in the specified organisation and workspace.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
contactId*string
methodId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/contact/string/method/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}